/// 枚举定义：所有分享相关的
enum ShareType { video, shop }

extension ShareTypeExtension on ShareType {
  String get name {
    switch (this) {
      case ShareType.video:
        return 'https://wuzhongjie.com.cn/spa/video-detail';
      case ShareType.shop:
        return 'https://wuzhongjie.com.cn/spa/goods-detail';
    }
  }
}
